.ProductDetails {
  width: 100%;
  margin: 5% 0%;
}

/* =========================================
GALLERY
========================================= */

.ProductDetails .ProductDetails__container .ProductDetails__gallery {
  width: 100%;
  display: flex;
  gap: 15px;
  position: sticky;
  top: 200px;
}

/* =========================================
THUMBNAIL SWIPER
========================================= */

.ProductDetails
  .ProductDetails__container
  .ProductDetails__gallery
  .ProductDetails__thumbnail_slider {
  width: 110px;
  height: 600px;
  overflow: hidden;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__gallery
  .ProductDetails__thumbnail_slider
  .ProductDetails__swiper {
  width: 100%;
  height: 100%;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__gallery
  .ProductDetails__thumbnail_slider
  .swiper-slide {
  height: auto !important;
}

/* =========================================
THUMBNAIL
========================================= */

.ProductDetails
  .ProductDetails__container
  .ProductDetails__gallery
  .ProductDetails__thumbnail {
  width: 100%;
  height: 120px;
  border: 1px solid #e5e5e5;
  overflow: hidden;
  cursor: pointer;
  transition: 0.3s;
  background: #ffffff;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__gallery
  .ProductDetails__thumbnail:hover {
  border: 1px solid #000000;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__gallery
  .ProductDetails__thumbnail--active {
  border: 2px solid #000000;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__gallery
  .ProductDetails__thumbnail
  img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* =========================================
MAIN IMAGE
========================================= */

.ProductDetails
  .ProductDetails__container
  .ProductDetails__gallery
  .ProductDetails__main_image {
  flex: 1 1;
  aspect-ratio: 1/1;
  overflow: hidden;
  background: #fafafa;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__gallery
  .ProductDetails__main_image
  img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* =========================================
CONTENT
========================================= */

.ProductDetails .ProductDetails__container .ProductDetails__content {
  width: 100%;
  padding-left: 20px;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__description {
  font-size: 16px;
  color: #1a1a1a;
  font-weight: 500;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__divider {
  width: 100%;
  height: 1px;
  background: #dddddd;
  margin: 2% 0%;
}

/* =========================================
SECTION
========================================= */

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__section {
  width: 100%;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__section
  .ProductDetails__heading {
  font-size: 18px;
  font-weight: 700;
  margin-bottom: 18px;
  color: #000000;
}

/* =========================================
TAGS
========================================= */

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__section
  .ProductDetails__tags {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__section
  .ProductDetails__tags
  span {
  padding: 5px 15px;
  background: #ffeeee;
  font-size: 15px;
  color: #000;
  border-radius: 4px;
  font-weight: 500;
}

/* =========================================
FABRIC
========================================= */

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__fabric_title {
  font-size: 14px;
  font-weight: 700;
  color: #1a1a1a;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__note {
  font-size: 15px;
  color: #818181;
  font-weight: 500;
}

/* =========================================
FABRIC TAGS
========================================= */

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__fabric_tags {
  display: flex;
  gap: 12px;
  flex-wrap: wrap;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__fabric_tags
  span {
  padding: 5px 17px;
  background: #f5f5f5 0% 0% no-repeat padding-box;
  border: 1px solid #7070701f;
  border-radius: 4px;
  color: #000;
  font-weight: 500;
  font-size: 15px;
}

/* =========================================
BOTTOM
========================================= */

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__bottom {
  width: 100%;
  margin: 3% 0%;
  display: flex;
  justify-content: space-between;
  gap: 20px;
  flex-wrap: wrap;
  align-items: center;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__price {
  font-size: 24px;
  color: #fb0000;
  font-weight: 700;
  margin-bottom: 0px;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__price_text {
  font-size: 15px;
  color: #1c1b1b;
  font-weight: 500;
  margin-bottom: 0px;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__button_wrapper {
  display: flex;
  gap: 15px;
  flex-wrap: wrap;
}

/* =========================================
WARNING
========================================= */

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__warning {
  display: flex;
  align-items: center;
  margin-top: 2%;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__warning
  .ProductDetails__warning_icon {
  width: fit-content;
  height: fit-content;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__warning
  .ProductDetails__warning_icon
  .pin_img {
  width: 100%;
  height: 100%;
  object-fit: none;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__warning_text
  p {
  font-size: 13px;
  color: #666666;
  margin-bottom: 0;
  font-weight: 500;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__warning_text
  ul {
  padding-left: 1rem;
  margin: 0;
}

.ProductDetails
  .ProductDetails__container
  .ProductDetails__content
  .ProductDetails__warning_text
  ul
  li::marker {
  content: "-";
}

/* =========================================
RESPONSIVE
========================================= */

@media screen and (max-width: 991px) {
  .ProductDetails .ProductDetails__container .ProductDetails__gallery {
    margin-bottom: 30px;
    /* position: relative; */
  }

  .ProductDetails .ProductDetails__container .ProductDetails__content {
    padding-left: 0;
  }
}

@media screen and (max-width: 767px) {
  .ProductDetails
    .ProductDetails__container
    .ProductDetails__gallery
    .ProductDetails__thumbnail {
    width: 100%;
    height: 80px;
  }

  .ProductDetails .ProductDetails__container .ProductDetails__gallery {
    flex-direction: column-reverse;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__gallery
    .ProductDetails__thumbnail_slider {
    width: 100%;
    height: fit-content;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__gallery
    .ProductDetails__main_image {
    width: 100%;
    height: 420px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__heading {
    font-size: 24px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__bottom {
    flex-direction: column;
    align-items: flex-start;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__button_wrapper
    button {
    width: 100%;
    font-size: 12px;
  }
}

@media screen and (max-width: 576px) {
  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__section
    .ProductDetails__heading {
    font-size: 14px;
  }

  .ProductDetails .ProductDetails__container .ProductDetails__content .ProductDetails__warning_text p {
    font-size: 12px;
}

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__section
    .ProductDetails__heading {
    margin-bottom: 4px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__description {
    font-size: 13px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__section
    .ProductDetails__tags
    span {
    padding: 5px 5px;
    font-size: 11px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__gallery
    .ProductDetails__main_image {
    height: 320px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__price {
    font-size: 25px;
  }
}

@media (min-width: 768px) and (max-width: 992px) {
  .ProductDetails
    .ProductDetails__container
    .ProductDetails__gallery
    .ProductDetails__thumbnail {
    height: 80px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__gallery
    .ProductDetails__thumbnail_slider {
    width: 75px;
    height: 300px;
    overflow: hidden;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__description {
    font-size: 13px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__section
    .ProductDetails__heading {
    font-size: 13px;
    margin-bottom: 5px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__section
    .ProductDetails__tags
    span {
    padding: 5px 7px;
    font-size: 11px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__note {
    font-size: 13px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__fabric_title {
    font-size: 12px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__fabric_tags
    span {
    padding: 3px 10px;
    font-size: 11px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .Common_Red_btn
    .Red_btn {
    font-size: 13px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .Common_black_border_btn
    .Black_border_btn {
    font-size: 13px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__bottom {
    gap: 9px;
  }
}

@media (min-width: 992px) and (max-width: 1023px) {
  .ProductDetails
    .ProductDetails__container
    .ProductDetails__gallery
    .ProductDetails__thumbnail {
    height: 80px;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__gallery
    .ProductDetails__thumbnail_slider {
    width: 75px;
    height: 500px;
    overflow: hidden;
  }

  .ProductDetails
    .ProductDetails__container
    .ProductDetails__content
    .ProductDetails__description {
    font-size: 15px;
  }
}
